(
	function($, Views)
	{
		Views.PayAnyWayForm = Views.Modal_Box.extend({
			el: $('div#fre-payment-payanyway'),
			events: {
				'submit form#payanyway_form': 'submitPayAnyWay'
			},
			initialize: function(options) {
				Views.Modal_Box.prototype.initialize.apply(this, arguments);
				// bind event to modal
				_.bindAll(this, 'setupData');
				this.blockUi = new Views.BlockUi();
				// catch event select extend gateway
				AE.pubsub.on('ae:submitPost:extendGateway', this.setupData);
			},
			// callback when user select PayAnyWay, set data and open modal
			setupData: function(data) {
				if (data.paymentType == 'payanyway')
				{
					// this.openModal();
					this.data = data;
				}
			},

			// catch user event click on pay
			submitPayAnyWay: function(event)
			{
				event.preventDefault();
				var form = $(event.currentTarget),
					$data = this.data;
				var view = this;
				console.log($data);
				$.ajax({
					type : 'post',
					url : ae_globals.ajaxURL,
					data : $data,
					success:function(res){
						// view.blockUi.unblock();
						if(res.success){
							console.log(res.data.data_arr);
							$('#mnt_id').val(res.data.data_arr.mnt_id.toString());
							$('#mnt_amount').val(res.data.data_arr.mnt_amount.toString());
							$('#mnt_transaction_id').val(res.data.data_arr.mnt_transaction_id.toString());
							$('#mnt_currency_code').val(res.data.data_arr.mnt_currency_code.toString());
							$('#mnt_test_mode').val(''+res.data.data_arr.mnt_test_mode.toString());
							$('#mnt_description').val(res.data.data_arr.mnt_description.toString());
							$('#mnt_signature').val(res.data.data_arr.mnt_signature.toString());
							$('#button_payanyway_h').trigger("click");
						}else{
							AE.pubsub.trigger('ae:notification',
								{
									msg: ae_payanyway.errorpost,
									notice_type: 'error'
								}
							);
							return false
						}
					}

				});
			}
		});
		// init PayAnyWay form
		$(document).ready(function()
		{
			new Views.PayAnyWayForm();
		});
	}
)(jQuery, AE.Views);